package com.ebei.screen.service;

import com.ebei.screen.common.response.ResponseBean;

/**
 * @author JCM
 * @description
 * @date 2021/1/15 15:36
 */
public interface EnergyPlatformService {

    /**
     * 初始化数据
     */
    void initData();

    /**
     * 初始化当前用户名token到mongo
     */
    void initToken();

    /**
     * 初始化当前用户名盒子列表到mongo
     */
    void initBoxList();

    /**
     * 初始化监控点分组
     */
    void initDmonGroups();

    /**
     * 初始化配置的监控点
     */
    void initDmonByDmonGroups();

    /**
     * 初始化配置监控点值
     */
    void initDmonValues();

    /**
     * 获取能耗大屏除预警外全部数据
     *
     * @return
     */
    ResponseBean getAllInOne(String boxId);

}
